Index: srtp/test/rtpw_test.sh |
diff --git a/srtp/test/rtpw_test.sh b/srtp/test/rtpw_test.sh |
index 804d06f71ff29af867ee2528510a14391a8e4439..d5808aba019659a8e902b27a99759eb4747df422 100755 |
--- a/srtp/test/rtpw_test.sh |
+++ b/srtp/test/rtpw_test.sh |
@@ -3,6 +3,7 @@ |
# usage: rtpw_test <rtpw_commands> |
# |
# tests the rtpw sender and receiver functions |
+# |
# Copyright (c) 2001-2006, Cisco Systems, Inc. |
# All rights reserved. |
# |
@@ -34,14 +35,15 @@ |
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) |
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED |
# OF THE POSSIBILITY OF SUCH DAMAGE. |
+# |
RTPW=./rtpw |
DEST_PORT=9999 |
DURATION=3 |
-key=2b2edc5034f61a72345ca5986d7bfd0189aa6dc2ecab32fd9af74df6dfc6 |
+key=Ky7cUDT2GnI0XKWYbXv9AYmqbcLsqzL9mvdN9t/G |
-ARGS="-k $key -ae" |
+ARGS="-b $key -a -e 128" |
# First, we run "killall" to get rid of all existing rtpw processes. |
# This step also enables this script to clean up after itself; if this |
@@ -97,6 +99,55 @@ kill $sender_pid |
wait $receiver_pid |
wait $sender_pid |
+ |
+key=033490ba9e82994fc21013395739038992b2edc5034f61a72345ca598d7bfd0189aa6dc2ecab32fd9af74df6dfc6 |
+ |
+ARGS="-k $key -a -e 256" |
+ |
+echo $0 ": starting rtpw receiver process... " |
+ |
+$RTPW $* $ARGS -r 0.0.0.0 $DEST_PORT & |
+ |
+receiver_pid=$! |
+ |
+echo $0 ": receiver PID = $receiver_pid" |
+ |
+sleep 1 |
+ |
+# verify that the background job is running |
+ps | grep -q $receiver_pid |
+retval=$? |
+echo $retval |
+if [ $retval != 0 ]; then |
+ echo $0 ": error" |
+ exit 254 |
+fi |
+ |
+echo $0 ": starting rtpw sender process..." |
+ |
+$RTPW $* $ARGS -s 127.0.0.1 $DEST_PORT & |
+ |
+sender_pid=$! |
+ |
+echo $0 ": sender PID = $sender_pid" |
+ |
+# verify that the background job is running |
+ps | grep -q $sender_pid |
+retval=$? |
+echo $retval |
+if [ $retval != 0 ]; then |
+ echo $0 ": error" |
+ exit 255 |
+fi |
+ |
+sleep $DURATION |
+ |
+kill $receiver_pid |
+kill $sender_pid |
+ |
+wait $receiver_pid |
+wait $sender_pid |
+ |
echo $0 ": done (test passed)" |
else |